import Login from '@components/login/Login.vue';
import Register from '@components/register/Register.vue';
import ForgetPassword from '@components/forgetPassword/FindPassword.vue';
import HomePage from '@components/common/HomePage.vue';
import TrialUser from '@components/user/TrialUser.vue';
import Information from '@components/user/Information.vue';
import MoreService from '@components/user/MoreService.vue'; //GDFW
import OpenedProduct from '@components/user/OpenedProduct.vue'; //YGMCP
import AddServiceProduct from '@components/user/AddServiceProduct.vue'; //添加服务端产品
import ManageService from '@components/user/ManageService.vue'; //管理服务端
import CreatedToken from '@components/user/CreatedToken.vue'; //查看生成令牌
import AlreadyToken from '@components/user/AlreadyToken.vue'; //已生成令牌
// import UserSetting from '@components/user/UserSetting.vue';//安全设置
import UserSetting from '@components/user/SafetySetting.vue'; //安全设置
/*******************朗通后台**********************/
import ProductLines from '@components/admin/ProductLines.vue';
import ProductLinesManage from '@components/admin/ProductLinesManage.vue';
import SuperAdmin from '@components/admin/SuperAdmin.vue';
import AdminConsole from '@components/admin/Console.vue';
import AddAdmin from '@components/admin/AddAdmin.vue';
import PersonCenter from '@components/admin/PersonCenter.vue';
import ChangePwd from '@components/admin/ChangePwd.vue';
import RegisterAdmin from '@components/admin/RegisterAdmin.vue';
import Renew from '@components/admin/Renew.vue';
import AuthedAdmin from '@components/admin/AuthedAdmin.vue';
import AddProductLine from '@components/admin/AddProductLine.vue';
import OrganizationInfo from '@components/admin/OrganizationInfo.vue'; //机构信息
import AddOrganization from '@components/admin/AddOrganization.vue'; //添加机构信息
import ModifinedOrga from '@components/admin/ModifinedOrga.vue'; //修改机构信息
import ProductDetail from '@components/admin/ProductDetail.vue';
import Console from '@components/user/Console.vue';
import LabelGroup from '@components/icss/LabelGroup.vue'; //标签组
import NoiseTemplate from '@components/icss/NoiseTemplate.vue';
import DeptInfo from '@components/icss/DeptInfo.vue'; //科室信息
import DeptInfoDetail from '@components/icss/DeptInfoDetail.vue'; //科室信息-详情
import AddDeptInfo from '@components/icss/AddDeptInfo.vue'; //科室信息-添加
import IndeptLabel from '@components/icss/IndeptLabel.vue'; //独立标签
import AddIndeptLabel from '@components/icss/AddIndeptLabel.vue'; //独立标签-添加
import PromptInfo from '@components/icss/PromptInfo.vue'; //提示信息
import AddPromptInfo from '@components/icss/AddPromptInfo.vue'; //添加提示信息
import SimilarName from '@components/icss/SimilarName.vue'; //别名维护
import AddSimilarName from '@components/icss/AddSimilarName.vue'; //别名维护-详情
import CommonSymptom from '@components/icss/CommonSymptom.vue'; //常见科室症状
import AddCommonSymptom from '@components/icss/AddCommonSymptom'; //常见科室症状--添加
import PromptDetail from '@components/icss/PromptDetail.vue'; //提示信息详情
import MedicinePrompt from '@components/icss/MedicinePrompt.vue'; //医学术语静态知识
import AddMedicinePrompt from '@components/icss/AddMedicinePrompt.vue'; //医学术语静态知识

import DisclaimerInformation from '@components/icss/DisclaimerInformation.vue'; //免责声明
import DiscInfoDetail from '@components/icss/DiscInfoDetail.vue'; //免责声明-详情
import AddDisclInfo from '@components/icss/AddDisclInfo.vue'; //免责声明-添加
import PhysicalExamTemplate from '@components/icss/PhysicalExamTemplate.vue'; //查体模板维护
import AddPhysicalExamTemp from '@components/icss/AddPhysicalExamTemp.vue'; //查体模板维护--添加

import TemplateMaintenance from '@components/icss/TemplateMaintenance.vue'; //模板维护列表
import TemplateMaintenanceWrap from '@components/icss/TemplateMaintenanceWrap.vue'; //模板维护添加修改
import VersionInfo from '@components/icss/VersionInfo.vue'; //版本信息
import VersionDetail from '@components/icss/VersionDetail.vue'; //版本信息-详情
import AddVersion from '@components/icss/AddVersion.vue'; //版本信息-添加/修改
import MedicalName from '@components/icss/MedicalName.vue'; //医学术语维护-命名维护
import AddMedicalName from '@components/icss/AddMedicalName.vue'; //医学术语维护-命名维护/添加修改
import MedicalRelation from '@components/icss/MedicalRelation.vue'; //医学术语维护-关系维护
import AddMedicalRelation from '@components/icss/AddMedicalRelation.vue'; //医学术语维护-关系维护-添加
import MedicalInfo from '@components/icss/MedicalInfo.vue'; //医学术语维护-信息维护（属性维护）
import AddMedicalInfo from '@components/icss/AddMedicalInfo.vue'; //医学术语维护-信息维护（属性维护）-添加
import DiagnosisList from '@components/icss/DiagnosisList.vue'; //诊断标签维护 -- 列表显示
import DiagnosisTemplate from '@components/icss/DiagnosisTemplate.vue'; //诊断标签维护 -- 添加
import ChronicDiseaseStructureList from '@components/icss/ChronicDiseaseStructureList.vue'; //量表结构维护 -- 列表
import ChronicDiseaseAdd from '@components/icss/ChronicDiseaseAdd.vue'; //量表结构维护 -- 添加
import ChronicDiseaseManage from '@components/icss/ChronicDiseaseManage.vue'; //慢病管理评估维护 -- 列表
import ChronicDiseaseManageAdd from '@components/icss/ChronicDiseaseManageAdd.vue'; //慢病管理评估维护 -- 添加
import ChemicalAndCommonMapping from '@components/icss/ChemicalAndCommonMapping.vue'; //化验大小项与公表维护
import AddChemicalAndCommonMapping from '@components/icss/AddChemicalAndCommonMapping.vue'; //化验大小项与公表维护--添加关联
import ChronicAndIndexRelation from '@components/icss/ChronicAndIndexRelation.vue'; //医学数据--慢病指标值关联维护
import AddChronicAndIndexRelation from '@components/icss/AddChronicAndIndexRelation.vue'; //医学数据--添加慢病指标值关联
import DisAndScaleRelation from '@components/icss/DisAndScaleRelation.vue'; //医学数据--量表关联维护
import AddDisAndScaleRelation from '@components/icss/AddDisAndScaleRelation.vue'; //医学数据--添加量表关联
import AssaySon from '@components/icss/AssaySon.vue'; //医学数据--化验子项维护
import AddAssaySon from '@components/icss/AddAssaySon.vue'; //医学数据--化验子项维护-添加修改
import ConceptRelation from '@components/icss/ConceptRelation.vue'; //医学数据--术语关联维护
import AddConceptRelation from '@components/icss/AddConceptRelation.vue'; //医学数据--术语关联维护添加修改

import MedicalMultRelation from '@components/icss/MedicalMultRelation.vue'; //医学术语--医学术语多层关联维护
import AddMedicalMultRelation from '@components/icss/AddMedicalMultRelation.vue'; //医学术语--添加医学术语多层关联维护
import MedicalType from '@components/icss/MedicalType.vue'; //医学术语维护-类型维护
//预问诊
import SimpleQuestion from '@components/preTreat/SimpleQuestion.vue';
import CombinQuestion from '@components/preTreat/CombinQuestion.vue';
import AddSimpleQuestion from '@components/preTreat/AddSimpleQuestion.vue';
import AddCombinQuestion from '@components/preTreat/AddCombinQuestion.vue';
import QuestionModules from '@components/preTreat/QuestionModules.vue';
import AddQuestionModules from '@components/preTreat/AddQuestionModules.vue';
//诊断依据
import DiagBase from '@components/diagBase/DiagBase.vue'; //诊断依据--诊断依据数据维护
import AddDiagBase from '@components/diagBase/AddDiagBase.vue'; //诊断依据--诊断依据数据维护

import QuestionWords from '@components/diagBase/QuestionWords.vue';

//医学数据统计
import MedicalStatistics from '@components/medicalStatistics/MedicalStatistics.vue';

//医学术语库维护
import AssistCheckMultRelation from '@components/medicalTerm/AssistCheckMultRelation.vue';
import AddAssistCheckMultRelation from '@components/medicalTerm/AddAssistCheckMultRelation.vue';
import AssistCheckSon from '@components/medicalTerm/AssistCheckSon.vue';
import AddAssistCheckSon from '@components/medicalTerm/AddAssistCheckSon.vue';

//安全管理
import TokenControl from '@components/safeControl/TokenControl.vue';
import AddToken from '@components/safeControl/AddToken.vue';

//规则管理
import RulesManager from '@components/RuleManager/RulesManager.vue';
import RuleApply from '@components/RuleManager/RuleApply.vue';
import AddRule from '@components/RuleManager/AddRule.vue';
import AddRuleApply from '@components/RuleManager/AddRuleApply.vue';

//病历管理
import RecordManager from '@components/recordManager/recordList.vue';
import AddRecord from '@components/recordManager/addRecord.vue';
import ShowRecord from '@components/recordManager/showRecord.vue';

//质控页面数据维护
import BaseField from '@components/qualityControl/BaseFieldList.vue';
import FieldMatch from '@components/qualityControl/FieldMatch.vue';
import CombineFeild from '@components/qualityControl/CombineFeildList.vue';
import AddCombineFeild from '@components/qualityControl/AddCombineFeild.vue';
import QualityControlTemp from '@components/qualityControl/QualityControlTemp.vue';
import AddQualityControlTemp from '@components/qualityControl/AddQualityControlTemp.vue';
import QCTypeMang from '@components/qualityControl/QCTypeMang.vue';
import AddQcType from '@components/qualityControl/AddQcType.vue';
import StandardRecord from '@components/qualityControl/StandardRecord.vue';
import AddStandardRecord from '@components/qualityControl/AddStandardRecord.vue';
import ItemDataType from '@components/qualityControl/ItemDataType.vue';
import ItemDataTypeRelation from '@components/qualityControl/ItemDataTypeRelation.vue';
import AutoTestList from '@components/qualityControl/AutoTestList.vue';
import AutoTestTask from '@components/qualityControl/AutoTestTask.vue';
import TaskDetail from '@components/qualityControl/TaskDetail';

//病历录入
import RecordInput from '@components/recordInput/RecordList.vue';
import AddRecordInput from '@components/recordInput/AddRecord.vue';

//病历条目
import RecordItemList from '@components/recordInput/RecordItemList.vue';
import AddRecordItem from '@components/recordInput/AddRecordItem.vue';
import ManageItemBatch from '@components/recordInput/ManageItemBatch.vue';

// cdss数据维护
import MedicinePromptCDSS from '@components/cdssManage/MedicinePrompt.vue'; //医学术语静态知识
import AddMedicinePromptCDSS from '@components/cdssManage/AddMedicinePrompt.vue'; //医学术语静态知识
import MedicalTerm from '@components/cdssManage/MedicalTerm.vue'; //医学术语关联维护

import Disease from '@components/cdssManage/disease/Disease.vue'; //诊断关联维护
import AddDisease from '@components/cdssManage/disease/AddDisease.vue'; //诊断关联维护--添加关联
import Lis from '@components/cdssManage/lis/Lis.vue'; //检验关联维护
import AddLis from '@components/cdssManage/lis/AddLis.vue'; //检验关联维护--添加关联
import Pacs from '@components/cdssManage/pacs/Pacs.vue'; //检查关联维护
import AddPacs from '@components/cdssManage/pacs/AddPacs.vue'; //检查关联维护--添加关联
import DrugManage from '@components/cdssManage/drug/DrugManage.vue'; //药品关联维护
import AddDrug from '@components/cdssManage/drug/AddDrug.vue'; //药品关联维护--添加关联
import Hemp from '@components/cdssManage/hemp/Hemp.vue'; //麻醉关联维护
import AddHemp from '@components/cdssManage/hemp/AddHemp.vue'; //麻醉关联维护--添加关联
import ScaleManage from '@components/cdssManage/scale/ScaleManage.vue'; //量表关联维护
import AddScale from '@components/cdssManage/scale/AddScale.vue'; //量表关联维护--添加关联
import Operation from '@components/cdssManage/operation/Operation.vue'; //手术/操作关联维护
import AddOperation from '@components/cdssManage/operation/AddOperation.vue'; //手术/操作关联维护--添加关联
import Fusion from '@components/cdssManage/fusion/Fusion.vue'; //输血关联维护
import AddFusion from '@components/cdssManage/fusion/AddFusion.vue'; //输血关联维护--添加关联
import DeptManage from '@components/cdssManage/dept/DeptManage.vue'; //科室关联维护
import AddDept from '@components/cdssManage/dept/AddDept.vue'; //科室关联维护--添加关联
import Nursing from '@components/cdssManage/nursing/nursing.vue';  //护理关联维护
import AddNursing from '@components/cdssManage/nursing/Addnursing.vue';  //护理关联维护--添加关联
import Drugroute from '@components/cdssManage/drugroute/Drugroute.vue';  //给药途径关联维护
import AddDrugroute from '@components/cdssManage/drugroute/AddDrugroute.vue';  //给药途径关联维护--添加关联
import Tcmdisease from '@components/cdssManage/tcmdisease/tcmdisease.vue';  //中医疾病关联维护
import AddTcmdisease from '@components/cdssManage/tcmdisease/Addtcmdisease.vue';  //中医疾病关联维护--添加关联
import Tcmdrome from '@components/cdssManage/tcmdrome/tcmdrome.vue';  //中医疾病关联维护
import AddTcmdrome from '@components/cdssManage/tcmdrome/AddTcmdrome.vue';  //中医疾病关联维护--添加关联

// import Correlation from '@components/icss/correlation/Correlation.vue';  //关联维护设置
import Plan from '@components/cdssManage/plan/Plan.vue'; //关联维护设置
import AddPlan from '@components/cdssManage/plan/AddPlan.vue'; //关联维护设置

import KnowledgeManage from '@components/cdssManage/knowledge/KnowledgeManage.vue'; //知识图谱标准术语维护
import AddKnowledge from '@components/cdssManage/knowledge/AddKnowledge.vue'; //知识图谱标准术语维护-新增编辑

import HospitalCDSS from '@components/cdssManage/hospital/Hospital.vue'; //医院管理
import AddHospitalCDSS from '@components/cdssManage/hospital/AddHospital.vue'; //医院管理--新增编辑
import HospitalUserCDSS from '@components/cdssManage/hospitalUser/HospitalUser.vue'; //医院用户管理
import AddHospitalUserCDSS from '@components/cdssManage/hospitalUser/AddHospitalUser.vue'; //医院用户管理--添加用户
import VersionCDSS from '@components/cdssManage/version/Version.vue'; //CDSS版本信息维护
import AddVersionCDSS from '@components/cdssManage/version/AddVersion.vue'; //CDSS版本信息维护--新增编辑
import VersionDetailCDSS from '@components/cdssManage/version/VersionDetail.vue'; //CDSS版本信息维护--新增编辑
import DisclaimerCDSS from '@components/cdssManage/disclaimer/Disclaimer.vue'; //免责声明维护
import AddDisclaimerCDSS from '@components/cdssManage/disclaimer/AddDisclaimer.vue'; //免责声明维护--新增编辑
import DisclaimerDetailCDSS from '@components/cdssManage/disclaimer/DisclaimerDetail.vue'; //免责声明维护--详情

import KnowledgeMapRuleTest from '@components/testManager/knowledgeMapRule/KnowledgeMapRuleTest.vue';
import StaticKnowledgeMapTest from '@components/testManager/staticKnowledgeMap/StaticKnowledgeMapTest.vue';
import BillCommonTest from '@components/testManager/knowledgeMapRule/BillCommonTest.vue';
import BillFusionTest from '@components/testManager/knowledgeMapRule/BillFusionTest.vue';
import CriticalLabTest from '@components/testManager/knowledgeMapRule/CriticalLabTest.vue';
import CriticalAuxTest from '@components/testManager/knowledgeMapRule/CriticalAuxTest.vue';
import HighRiskDrugTest from '@components/testManager/knowledgeMapRule/HighRiskDrugTest.vue';
import HighRiskOperationTest from '@components/testManager/knowledgeMapRule/HighRiskOperationTest.vue';
import OtherAssayRuleTest from '@components/testManager/knowledgeMapRule/OtherAssayRuleTest.vue';
import OtherAuxRuleTest from '@components/testManager/knowledgeMapRule/OtherAuxRuleTest.vue';
import OtherFusionRuleTest from '@components/testManager/knowledgeMapRule/OtherFusionRuleTest.vue';
import LessStaticOrNoMap from '@components/testManager/staticKnowledgeMap/LessStaticOrNoMap.vue';

import BasicTermsMaintenance from '@components/basicKnow/BasicTermsMaintenance.vue'   //知识库基础维护-基础术语维护
import BasicRelationship from '@components/basicKnow/BasicRelationship.vue'   //知识库基础维护-基础关系类型维护
import BasicPartOfSpeech from '@components/basicKnow/BasicPartOfSpeech.vue'   //知识库基础维护-基础词性类型维护
import AddTerm from '@components/basicKnow/AddTerm.vue'   //知识库基础维护-基础词性类型维护-编辑
import StaticInfo from '@components/knowledgeExtra/StaticInfo.vue'   //知识库扩展维护-静态信息维护
import AddDevKnow from '@components/knowledgeExtra/AddDevKnow.vue'   //知识库扩展维护-静态信息维护-编辑
import ZskRuleManager from '@components/knowledgeExtra/RuleManager.vue';  //知识库规则维护
import ZskRuleCheck from '@components/knowledgeExtra/RuleCheck.vue';  //知识库规则查询
import AddZskRule from '@components/knowledgeExtra/AddNewRule.vue';   //知识库添加规则
import KnowledgeAll from '@components/knowledgeExtra/KnowledgeAll.vue'   //知识库树
import KnowledgeBaseType from '@components/knowledgeExtra/KnowledgeBaseType.vue'
import AboutDisease from '@components/knowledgeExtra/AboutDisease.vue'
import DiseaseTree from '@components/knowledgeExtra/DiseaseTree.vue'
import AutoKnowledgeMapRuleTest from '@components/autoTest/AutoKnowledgeMapRuleTest.vue';
import AutoBillCommonTest from '@components/autoTest/AutoBillCommonTest.vue';
import ZskDiagBase from '@components/knowledgeExtra/DiagBase.vue';      //知识库拓展-诊断依据维护
import AddZskDiagBase from '@components/knowledgeExtra/AddDiagBase.vue';
import ZskRegisteredDrug from '@components/knowledgeExtra/RegisteredDrug.vue';
import AddZskRegisteredDrug from '@components/knowledgeExtra/AddZskRegisteredDrug.vue';
import TermSet from '@components/knowledgeExtra/TermSet.vue';
import AddTermSet from '@components/knowledgeExtra/AddTermSet.vue';


export default [
    {
        path: '/',
        name: 'login',
        component: Login,
    },
    {
        path: '/register',
        name: 'Register',
        component: Register,
    },
    {
        path: '/forgetPassword',
        name: 'FindPassword',
        component: ForgetPassword,
    },
    {
        //用户后台
        path: '/user',
        component: HomePage,
        meta: {
            requireAuth: true,
        },
        children: [
            // {path: '/', component: Console},
            { path: 'YH-KZT', component: Console }, //控制台
            { path: 'YH-GDFW', component: MoreService }, //更多服务
            { path: 'YH-JGZX', component: Information }, //机构中心
            { path: 'YH-JGZX-YKTCP', component: OpenedProduct }, //已开通产品
            { path: 'TJFWD', component: AddServiceProduct }, //添加服务端
            { path: 'YH-JGZX-GLFFD', component: ManageService }, //管理服务端
            { path: 'YH-JGZX-YSCLP', component: AlreadyToken }, //已生成令牌
            { path: 'CKLPXQ', component: CreatedToken }, //查看生成令牌
            { path: 'YH-JGZX-AQSZ', component: UserSetting }, //安全设置
            { path: 'YH-JGZX-ZHXX', component: Information }, //账号信息
        ],
    },
    {
        //朗通后台
        path: '/admin',
        component: HomePage,
        meta: {
            requireAuth: true,
        },
        children: [
            // {path: '/', component: AdminConsole},
            { path: 'LT-KZT', component: AdminConsole },
            { path: 'LT-JGZX', component: AdminConsole },
            {
                path: 'LT-KHZX-ZCYH',
                component: RegisterAdmin,
            },
            {
                path: 'LT-YRZCGXX',
                component: AuthedAdmin,
            },
            {
                name: 'organizationInfo',
                path: 'LT-KHZX-JGXX', //机构信息
                component: OrganizationInfo,
                meta: {
                    keepAlive: true,
                },
            },
            {
                path: 'LT-KHZX-TJJG', //添加机构
                component: AddOrganization,
            },
            {
                path: 'LT-KHZX-XGJG', //修改机构
                component: ModifinedOrga,
            },
            {
                name: 'superAdmin',
                path: 'LT-KHZX-CGXX',
                component: SuperAdmin,
            },
            {
                path: 'LT-DDXT-TJCG',
                component: AddAdmin,
                name: 'addAdmin',
            },
            {
                path: 'LT-DDXT-CPXSQLB',
                component: ProductLines,
            },
            {
                path: 'LT-CPXGL-CPXXQ',
                component: ProductDetail,
                name: 'productDetail',
            },
            {
                path: 'LT-CPXFLB',
                component: Renew,
            },
            { path: 'LT-GRZX', component: PersonCenter },
            { path: 'LT-CPXGL', component: ProductLinesManage },
            { path: 'LT-CPXGL-TJCPX', component: AddProductLine, name: 'editProductLine' },
            { path: 'LT-GRZX/CHANGE', component: ChangePwd }, //个人中心--修改密码
            { path: 'LT-YXSJWH-BQZWH', component: LabelGroup, name: 'labelGroup' }, //医学数据维护--标签组维护
            { path: 'LT-YXSJWH-TJBQZ', component: NoiseTemplate, name: 'AddLabelGroup' }, //医学数据维护--标签组维护--添加标签组
            { path: 'LT-YXSJWH-KSWH', component: DeptInfo, name: 'deptInfo' }, //医学数据维护--科室维护
            { path: 'LT-YXSJWH-KSXQ', component: DeptInfoDetail, name: 'DeptInfoDetail' }, //科室维护--详情
            { path: 'LT-YXSJWH-TJKS', component: AddDeptInfo, name: 'AddDeptInfo' }, //科室维护--添加
            { path: 'LT-YXSJWH-DLLXBQWH', component: IndeptLabel, name: 'IndeptLabel' }, //独立标签维护--详情
            { path: 'LT-YXSJWH-TJDLBQ', component: AddIndeptLabel, name: 'AddIndeptLabel' }, //独立标签维护--添加
            { path: 'LT-YXSJWH-TSXXWH', component: PromptInfo, name: 'PromptInfo' }, //提示信息维护
            { path: 'LT-YXSJWH-BMWH', component: SimilarName, name: 'SimilarName' }, //别名维护
            { path: 'LT-YXSJWH-CJXXWH', component: CommonSymptom, name: 'CommonSymptom' }, //常见症状维护
            { path: 'LT-YXSJWH-TJCJZZ', component: AddCommonSymptom, name: 'AddCommonSymptom' }, //常见症状维护--添加
            { path: 'LT-YXSJWH-TJBM', component: AddSimilarName, name: 'AddSimilarName' }, //别名维护-添加/修改
            // {path:'LT-YXSJWH-MZSMWH',component:DisclaimerInformation,name:'DisclaimerInformation'},     //免责声明
            {
                path: 'LT-YXSJKWH-MZSMWH',
                component: DisclaimerInformation,
                name: 'DisclaimerInformation',
            }, //免责声明
            { path: 'LT-YXSJWH-MZSMXQ', component: DiscInfoDetail, name: 'DiscInfoDetail' }, //免责声明-详情
            { path: 'LT-YXSJWH-TJMZSM', component: AddDisclInfo, name: 'AddDisclInfo' }, //免责声明-添加/修改
            { path: 'LT-YXSJWH-MBWH', component: TemplateMaintenance, name: 'TemplateMaintenance' }, //模板维护
            { path: 'LT-YXSJWH-CTMBWH', component: PhysicalExamTemplate, name: 'PhysicalExamTemplate' }, //查体模板维护
            { path: 'LT-YXSJWH-TJCTMB', component: AddPhysicalExamTemp, name: 'AddPhysicalExamTemp' }, //查体模板维护--添加
            {
                path: 'LT-YXSJWH-TJMBWH',
                component: TemplateMaintenanceWrap,
                name: 'TemplateMaintenanceWrap',
            }, //模板维护-添加修改
            { path: 'LT-YXSJWH-TJTSXX', component: AddPromptInfo, name: 'AddPromptInfo' }, //提示信息维护-添加
            { path: 'LT-YXSJWH-TSXXXQ', component: PromptDetail, name: 'PromptDetail' }, //提示信息维护详情
            { path: 'LT-YXSYKWH-YXSYJTZSWH', component: MedicinePrompt, name: 'MedicinePrompt' }, //医学术语提示信息维护
            { path: 'LT-YXSYKWH-TJYXSYJTZS', component: AddMedicinePrompt, name: 'AddMedicinePrompt' }, //医学术语提示信息维护添加
            { path: 'LT-GBBXXWH-BBXXWH', component: VersionInfo, name: 'VersionInfo' }, //版本信息
            { path: 'LT-YXSJWH-BBXXXQ', component: VersionDetail, name: 'VersionDetail' }, //版本信息-详情
            { path: 'LT-YXSJWH-TJBBXX', component: AddVersion, name: 'AddVersion' }, //版本信息-添加/修改
            { path: 'LT-YXSYKWH-YXSYMMWH', component: MedicalName, name: 'MedicalName' }, //医学术语--命名维护
            { path: 'LT-YXSYKWH-TJYXSY', component: AddMedicalName, name: 'AddMedicalName' }, //医学术语--命名维护
            { path: 'LT-YXSYKWH-YXSYGXWH', component: MedicalRelation, name: 'MedicalRelation' }, //医学术语--关系维护
            { path: 'LT-YXSYKWH-TJYXSYGX', component: AddMedicalRelation, name: 'AddMedicalRelation' }, //医学术语--关系维护-添加
            { path: 'LT-YXSYKWH-SYYXSXWH', component: MedicalInfo, name: 'MedicalInfo' }, //医学术语维护-信息维护（属性维护）
            { path: 'LT-YXSYKWH-TJYXSYXX', component: AddMedicalInfo, name: 'AddMedicalInfo' }, //医学术语维护-信息维护（属性维护) -- 添加
            { path: 'LT-YXSJWH-ZDBQWH', component: DiagnosisList, name: 'DiagnosisList' }, //诊断标签维护 -- 列表显示
            { path: 'LT-YXSJWH-ZDBQTJ', component: DiagnosisTemplate, name: 'DiagnosisTemplate' }, //诊断标签维护 -- 添加
            {
                path: 'LT-YXSYKWH-LBJGWH',
                component: ChronicDiseaseStructureList,
                name: 'ChronicDiseaseStructureList',
            }, //量表结构维护 -- 列表
            { path: 'LT-YXSJWH-LBJGTJ', component: ChronicDiseaseAdd, name: 'ChronicDiseaseAdd' }, //量表结构维护 -- 添加
            { path: 'LT-YXSJWH-MBGLYPG', component: ChronicDiseaseManage, name: 'ChronicDiseaseManage' }, //慢病管理评估维护 -- 列表
            {
                path: 'LT-YXSJWH-MBGLYTJ',
                component: ChronicDiseaseManageAdd,
                name: 'ChronicDiseaseManageAdd',
            }, //慢病管理评估维护 -- 添加
            {
                path: 'LT-YXSJWH-HYDXXYGBXDY',
                component: ChemicalAndCommonMapping,
                name: 'ChemicalAndCommonMapping',
            }, //化验大小项与公表维护
            {
                path: 'LT-YXSJWH-TJHYDXXYGBXDY',
                component: AddChemicalAndCommonMapping,
                name: 'AddChemicalAndCommonMapping',
            }, //化验大小项与公表维护--添加关联
            { path: 'LT-YXSYKWH-YXSYLXWH', component: MedicalType, name: 'MedicalType' }, //医学术语--类型维护
            {
                path: 'LT-YXSYKWH-MBZBZGLWH',
                component: ChronicAndIndexRelation,
                name: 'ChronicAndIndexRelation',
            }, //医学数据--慢病指标值关联维护
            {
                path: 'LT-YXSYKWH-TJMBZBZGL',
                component: AddChronicAndIndexRelation,
                name: 'AddChronicAndIndexRelation',
            }, //医学数据--添加慢病指标值关联维护
            { path: 'LT-YXSJWH-LBGLWH', component: DisAndScaleRelation, name: 'DisAndScaleRelation' }, //医学数据--量表关联维护
            {
                path: 'LT-YXSJWH-TJLBGL',
                component: AddDisAndScaleRelation,
                name: 'AddDisAndScaleRelation',
            }, //医学数据--添加量表关联
            { path: 'LT-YXSYKWH-HYZXWH', component: AssaySon, name: 'AssaySon' }, //医学数据--化验子项维护
            { path: 'LT-YXSYKWH-TJHYZX', component: AddAssaySon, name: 'AddAssaySon' }, //医学数据--化验子项添加修改
            { path: 'LT-YXSYKWH-YXSYGLWH', component: ConceptRelation, name: 'ConceptRelation' }, //医学数据--医学术语关联维护
            // {path:'LT-YXSYKWH-YXSYLXWH',component:ConceptRelation,name:'ConceptRelation'},     //医学数据--医学术语关联维护
            { path: 'LT-YXSYKWH-TJYXSYGL', component: AddConceptRelation, name: 'AddConceptRelation' }, //医学数据--医学术语关联维护-添加修改

            {
                path: 'LT-YXSYKWH-YXSYDCGLWH',
                component: MedicalMultRelation,
                name: 'MedicalMultRelation',
            }, //医学术语--医学术语多层关联维护
            {
                path: 'LT-YXSYKWH-TJYXSYDCGL',
                component: AddMedicalMultRelation,
                name: 'AddMedicalMultRelation',
            }, //医学术语--添加医学术语多层关联
            {
                path: 'LT-YXSYKWH-FJCJGLWH',
                component: AssistCheckMultRelation,
                name: 'AssistCheckMultRelation',
            }, //医学术语--辅检层级关联维护
            {
                path: 'LT-YXSYKWH-TJFJCJGL',
                component: AddAssistCheckMultRelation,
                name: 'AddAssistCheckMultRelation',
            }, //医学术语--添加辅检层级关联
            { path: 'LT-YXSYKWH-FJZXWH', component: AssistCheckSon, name: 'AssistCheckSon' }, //医学术语--辅检子项维护
            { path: 'LT-YXSYKWH-TJFJZX', component: AddAssistCheckSon, name: 'AddAssistCheckSon' }, //医学术语--辅检子项维护

            { path: 'LT-YWZSJWH-DLTXDWH', component: SimpleQuestion, name: 'SimpleQuestion' }, //预问诊-独立填写单
            { path: 'LT-YWZSJWH-ZHTXDWH', component: CombinQuestion, name: 'CombinQuestion' }, //预问诊-组合填写单
            { path: 'LT-YWZSJWH-TJDLTXD', component: AddSimpleQuestion, name: 'AddSimpleQuestion' }, //预问诊-添加独立填写单
            { path: 'LT-YWZSJWH-TJZHTXD', component: AddCombinQuestion, name: 'AddCombinQuestion' }, //预问诊-添加组合填写单
            { path: 'LT-YWZSJWH-MBWH', component: QuestionModules, name: 'QuestionModules' }, //预问诊-模板维护
            { path: 'LT-YWZSJWH-TJMBWH', component: AddQuestionModules, name: 'AddQuestionModules' }, //预问诊-添加模板

            { path: 'LT-ZDYJWH-ZDYJSJWH', component: DiagBase, name: 'DiagBase' }, //诊断依据-诊断依据维护
            { path: 'LT-ZDYJWH-TJZDYJSJ', component: AddDiagBase, name: 'AddDiagBase' }, //诊断依据-添加诊断依据
            { path: 'LT-ZDYJWH-WTCSJWH', component: QuestionWords, name: 'QuestionWords' }, //问题列表
            { path: 'LT-SJTJ-YXSJTJ', component: MedicalStatistics, name: 'MedicalStatistics' }, //问题列表
            { path: 'LT-AQGL-LICENSEWH', component: TokenControl, name: 'TokenControl' }, //安全管理--令牌列表
            { path: 'LT-AQGL-TJLICENSE', component: AddToken, name: 'AddToken' }, //安全管理--发放令牌
            { path: 'LT-YXSYKWH-GZWH', component: RulesManager, name: 'RulesManager' }, //规则管理
            { path: 'LT-YXSYKWH-TJGZWH', component: AddRule, name: 'AddRule' }, //规则添加
            { path: 'LT-YXSYKWH-GZYYWH', component: RuleApply, name: 'RuleApply' }, //规则管理
            { path: 'LT-YXSYKWH-TJGZYYWH', component: AddRuleApply, name: 'AddRuleApply' }, //规则添加
            { path: 'LT-BLGL', name: 'RecordManager', component: RecordManager }, //病历管理
            { path: 'LT-BLGL-TJBLGL', name: 'AddRecord', component: AddRecord }, //添加病历
            { path: 'LT-BLGL-CKBLGL', name: 'ShowRecord', component: ShowRecord }, //添加病历
            { path: 'LT-ZKYMSJWH-ZDYSWH', name: 'BaseField', component: BaseField }, //字段映射
            { path: 'LT-ZKYMSJWH-TJZDYSWH', name: 'FieldMatch', component: FieldMatch }, //添加字段映射
            { path: 'LT-ZKYMSJWH-ZHDYWH', name: 'CombineFeild', component: CombineFeild }, //组合字段
            { path: 'LT-ZKYMSJWH-TJZHDYWH', name: 'AddCombineFeild', component: AddCombineFeild }, //添加组合字段
            { path: 'LT-ZKYMSJWH-MBWH', name: 'QualityControlTemp', component: QualityControlTemp }, //模板维护
            { path: 'LT-ZKYMSJWH-TMGLZKLX', name: 'ItemDataType', component: ItemDataType }, //条目关联质控类型
            {
                path: 'LT-ZKYMSJWH-TMGLZKLXGL',
                name: 'ItemDataTypeRelation',
                component: ItemDataTypeRelation,
            }, //条目关联质控类型--关联

            {
                path: 'LT-ZKYMSJWH-TJMBWH',
                name: 'AddQualityControlTemp',
                component: AddQualityControlTemp,
            }, //添加模板维护
            { path: 'LT-BLZK-BLRl', name: 'RecordInput', component: RecordInput }, //病例录入
            { path: 'LT-BLZK-TJBLRl', name: 'AddRecordInput', component: AddRecordInput }, //病例录入
            { path: 'LT-ZKYMSJWH-ZKTM', name: 'RecordItemList', component: RecordItemList }, //病例条目
            { path: 'LT-BLZK-TJBLTM', name: 'AddRecordItem', component: AddRecordItem }, //病例条目
            { path: 'LT-BLZK-PLGLBLTM', name: 'ManageItemBatch', component: ManageItemBatch }, //病例条目
            { path: 'LT-ZKYMSJWH-ZKLXWH', name: 'QCTypeMang', component: QCTypeMang }, //质控类型
            { path: 'LT-ZKYMSJWH-TJZKLXWH', name: 'AddQcType', component: AddQcType }, //添加质控类型
            { path: 'LT-ZKYMSJWH-ZDHCSTJ', name: 'AutoTestList', component: AutoTestList }, //自动化测试统计
            { path: 'LT-ZKYMSJWH-RWLB', name: 'AutoTestTask', component: AutoTestTask }, //自动化测试统计-转为任务
            { path: 'LT-ZKYMSJWH-ZDHCSXQ', name: 'TaskDetail', component: TaskDetail }, //自动化测试统计-转为任务-详情
            { path: 'LT-ZKYMSJWH-BZBL', name: 'StandardRecord', component: StandardRecord }, //标准病历
            { path: 'LT-ZKYMSJWH-TJBZBL', name: 'AddStandardRecord', component: AddStandardRecord }, //添加标准病历

            { path: 'LT-CDSSSJWH-JTSYZSWH', component: MedicinePromptCDSS, name: 'MedicinePromptCDSS' }, //医学术语关联维护
            {
                path: 'LT-YXSYKWH-TJYXSYJTZSCDSS',
                component: AddMedicinePromptCDSS,
                name: 'AddMedicinePromptCDSS',
            }, //医学术语提示信息维护添加
            { path: 'LT-CDSSSJWH-YXSYGLWH', component: MedicalTerm, name: 'MedicalTermCDSS' }, //医学术语关联维护
            { path: 'YXSYK-ZDGLWH', component: Disease, name: 'Disease' }, //诊断关联维护
            { path: 'LT-ZDGLWH-TJHYDXXYGBXDY', component: AddDisease, name: 'AddDisease' }, //诊断关联维护--添加关联
            { path: 'YXSYK-JYGLWH', component: Lis, name: 'Lis' }, //检验关联维护
            { path: 'LT-JYGLWH-TJHYDXXYGBXDY', component: AddLis, name: 'AddLis' }, //检验关联维护--添加关联
            { path: 'YXSYK-JCGLWH', component: Pacs, name: 'Pacs' }, //检查关联维护
            { path: 'LT-JCGLWH-TJHYDXXYGBXDY', component: AddPacs, name: 'AddPacs' }, //检查关联维护--添加关联
            { path: 'YXSYK-YPGLWH', component: DrugManage, name: 'DrugManage' }, //药品关联维护
            { path: 'LT-YPGLWH-TJHYDXXYGBXDY', component: AddDrug, name: 'AddDrug' }, //药品关联维护--添加关联
            { path: 'YXSYK-HEMP', component: Hemp, name: 'Hemp' }, //麻醉关联维护
            { path: 'LT-HEMP-TJHYDXXYGBXDY', component: AddHemp, name: 'AddHemp' }, //麻醉关联维护--添加关联
            { path: 'YXSYK-LBGLWH', component: ScaleManage, name: 'ScaleManage' }, //量表关联维护
            { path: 'LT-LBGLWH-TJHYDXXYGBXDY', component: AddScale, name: 'AddScale' }, //量表关联维护--添加关联
            { path: 'YXSYK-SSCZGLWH', component: Operation, name: 'Operation' }, //手术/操作关联维护
            { path: 'LT-SSCZGLWH-TJHYDXXYGBXDY', component: AddOperation, name: 'AddOperation' }, //手术/操作关联维护--添加关联
            { path: 'YXSYK-SXGLWH', component: Fusion, name: 'Fusion' }, //输血关联维护
            { path: 'LT-SXGLWH-TJHYDXXYGBXDY', component: AddFusion, name: 'AddFusion' }, //输血关联维护--添加关联
            { path: 'YXSYK-KSGLWH', component: DeptManage, name: 'DeptManage' }, //科室关联维护
            { path: 'LT-KSGLWH-TJHYDXXYGBXDY', component: AddDept, name: 'AddDept' }, //科室关联维护--添加关联
            { path: 'YXSYK-HLGLWH', component: Nursing, name: 'Nursing' }, //护理关联维护
            { path: 'LT-HLGLWH-TJHYDXXYGBXDY', component: AddNursing, name: 'AddNursing' }, //护理关联维护--添加关联
			{ path: 'YXSYK-GYTJGLWH', component: Drugroute, name: 'Drugroute' }, //给药途径关联维护
			{ path: 'LT-GYTJGLWH-TJHYDXXYGBXDY', component: AddDrugroute, name: 'AddDrugroute' }, //给药途径关联维护--添加关联
            { path: 'YXSYK-ZYJBGLWH', component: Tcmdisease, name: 'Tcmdisease' }, //中医疾病关联维护
            { path: 'LT-ZYJBGLWH-TJHYDXXYGBXDY', component: AddTcmdisease, name: 'AddTcmdisease' }, //中医疾病关联维护
            { path: 'YXSYK-ZYZHGLWH', component: Tcmdrome, name: 'Tcmdrome' }, //中医疾病关联维护
            { path: 'LT-ZYZHGLWH-TJHYDXXYGBXDY', component: AddTcmdrome, name: 'AddTcmdrome' }, //中医疾病关联维护

            
            // { path: 'YXSYK-GLWH', component: Correlation, name: 'Correlation' }, //关联维护设置
            { path: 'LT-CDSSSJWH-DZBLFAPZ', component: Plan, name: 'Plan' }, //电子病历方案配置
            { path: 'LT-CDSSSJWH-DZBLFAPZEDIT', component: AddPlan, name: 'AddPlan' }, //电子病历方案配置--新增编辑
            { path: 'LT-CDSSSJWH-ZSTPBZSYWH', component: KnowledgeManage, name: 'KnowledgeManage' }, //知识图谱标准术语维护
            { path: 'LT-CDSSSJWH-ZSTPBZSYWHEDIT', component: AddKnowledge, name: 'AddKnowledge' }, //知识图谱标准术语维护--新增编辑

            { path: 'LT-CDSSSJWH-YYGL', component: HospitalCDSS, name: 'HospitalCDSS' }, //医院管理
            { path: 'LT-CDSSSJWH-YYGLEDIT', component: AddHospitalCDSS, name: 'AddHospitalCDSS' }, //医院管理--新增编辑
            { path: 'LT-CDSSSJWH-YYYHGL', component: HospitalUserCDSS, name: 'HospitalUserCDSS' }, //医院用户管理
            {
                path: 'LT-CDSSSJWH-YYYHGLEDIT',
                component: AddHospitalUserCDSS,
                name: 'AddHospitalUserCDSS',
            }, //医院用户管理--添加用户
            { path: 'LT-CDSSSJWH-BBWH', component: VersionCDSS, name: 'VersionCDSS' }, //CDSS版本信息维护
            { path: 'LT-CDSSSJWH-BBWHEDIT', component: AddVersionCDSS, name: 'AddVersionCDSS' }, //CDSS版本信息维护--新增编辑
            { path: 'LT-CDSSSJWH-BBWHDETAIL', component: VersionDetailCDSS, name: 'VersionDetailCDSS' }, //CDSS版本信息维护--详情
            { path: 'LT-CDSSSJWH-MZSMWH', component: DisclaimerCDSS, name: 'DisclaimerCDSS' }, //免责声明维护
            { path: 'LT-CDSSSJWH-MZSMWHEDIT', component: AddDisclaimerCDSS, name: 'AddDisclaimerCDSS' }, //免责声明维护--新增编辑
            {
                path: 'LT-CDSSSJWH-MZSMWHDETAIL',
                component: DisclaimerDetailCDSS,
                name: 'DisclaimerDetailCDSS',
            }, //免责声明维护--新增编辑
            {
                path: 'LT-YYSYZDHCS-JTZSYSCS',
                component: StaticKnowledgeMapTest,
                name: 'StaticKnowledgeMapTest',
            }, //静态知识映射测试
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-SXGZCS',
                component: BillFusionTest,
                name: 'BillFusionTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-SYSJCGZCS',
                component: CriticalLabTest,
                name: 'CriticalLabTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-FZJCGZCS',
                component: CriticalAuxTest,
                name: 'CriticalAuxTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-GWYPGZCS',
                component: HighRiskDrugTest,
                name: 'HighRiskDrugTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-GWSSZHGZCS',
                component: HighRiskOperationTest,
                name: 'HighRiskOperationTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-QTHYGZCS',
                component: OtherAssayRuleTest,
                name: 'OtherAssayRuleTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-QTFJGZCS',
                component: OtherAuxRuleTest,
                name: 'OtherAuxRuleTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-QTFXGZCS',
                component: OtherFusionRuleTest,
                name: 'OtherFusionRuleTest',
            },
            {
                path: 'LT-YYSYZDHCS-JTZSYSCS-WYSZD',
                component: LessStaticOrNoMap,
                name: 'LessStaticOrNoMap',
            },
            {
                path: 'LT-ZSKJCWH-JCSYWH',
                component: BasicTermsMaintenance,
                name: 'BasicTermsMaintenance',
            },
            {
                path: 'LT-ZSKJCWH-JCCXWH',
                component: BasicPartOfSpeech,
                name: 'BasicPartOfSpeech',
            },
            {
                path: 'LT-ZSKJCWH-JCGXLXWH',
                component: BasicRelationship,
                name: 'BasicRelationship',
            },
            {
                path: 'LT-ZSKJCWH-JCSYWH-EDIT',
                component: AddTerm,
                name: 'AddTerm',
            },
            {
                path: 'LT-ZSKKZWH-GZWH',
                component: ZskRuleManager,
                name: 'ZskRuleManager',
            },
			{
			    path: 'LT-ZSKKZWH-GZCX',
			    component: ZskRuleCheck,
			    name: 'ZskRuleCheck',
			},
            {
                path: 'LT-ZSKKZWH-TJGZ',
                component: AddZskRule,
                name: 'AddZskRule',
            },
            {
                path: 'LT-ZSKKZWH-ZUYJ',
                component: ZskDiagBase,
                name: 'ZskDiagBase',
            },
            {
                path: 'LT-ZSKKZWH-TJZDYJ',
                component: AddZskDiagBase,
                name: 'AddZskDiagBase',
            },
            {
                path: 'LT-ZSKKZWH-JTXXWH',
                component: StaticInfo,
                name: 'StaticInfo',
            },
            {
                path: 'LT-ZSKKZWH-JTXXWH-EDIT',
                component: AddDevKnow,
                name: 'AddDevKnow',
            },
            {
                path: 'LT-ZSKKZWH-SXJGWH',
                component: KnowledgeAll,
                name: 'KnowledgeAll',
            }, //树形结构维护
            {
                path: 'LT-ZSKJCWH-JCSYLXWH',
                component: KnowledgeBaseType,
                name: 'KnowledgeBaseType',
            }, //基础术语类型维护
            {
                path: 'LT-ZSKKZWH-JBXGWH',
                component: AboutDisease,
                name: 'AboutDisease',
            }, //疾病相关维护
            {
                path: 'LT-ZSKKZWH-JBXGWH-EDIT',
                component: DiseaseTree,
                name: 'DiseaseTree',
            }, //疾病相关维护, 
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS',
                component: AutoKnowledgeMapRuleTest,
                name: 'AutoKnowledgeMapRuleTest',
            },
            {
                path: 'LT-YYSYZDHCS-ZSTPGZCS-TYGZCS',
                component: AutoBillCommonTest,
                name: 'AutoBillCommonTest',
            },
            {
                path: 'LT-ZSKKZWH-ZCYPWH',
                component: ZskRegisteredDrug,
                name: 'ZskRegisteredDrug',
            },
            {
                path: 'LT-ZSKKZWH-TJZCYPWH',
                component: AddZskRegisteredDrug,
                name: 'AddZskRegisteredDrug',
            },
            {
                path: 'LT-ZSKKZWH-SYJHNRWH',
                component: TermSet,
                name: 'TermSet',
            },
            {
                path: 'LT-ZSKKZWH-TJSYJHNRWH',
                component: AddTermSet,
                name: 'AddTermSet',
            },
        ],
    },
];
