const path = require('path');
// const proxy_path = 'http://192.168.2.241:88';
const proxy_path = 'http://192.168.2.236:5050';
// const proxy_path = 'http://192.168.3.101:5050';
// const proxy_path = 'http://192.168.3.117:5050';//周铁刚
// const proxy_path = 'http://192.168.3.113:5050'; //王峰

module.exports = {
  lintOnSave: false,
  devServer: {
    historyApiFallback: true,
    disableHostCheck: true,
    proxy: {
      '/api': {
        target: proxy_path,
        changeOrigin: true,
        secure: false,
      },
    },
  },
  configureWebpack: {
    resolve: {
      alias: {
        '@components': path.resolve(__dirname, './src/components/'),
        '@less': path.resolve(__dirname, './src/less/'),
        '@base': path.resolve(__dirname, './src/components/base/'),
        '@api': path.resolve(__dirname, './src/api/'),
      },
    },
  },
};