export const numInputChange = (value, len = 5, decimals = 1) => {
  // value:修改的数字  len 总长度   decimals：允许小数点后几位
  //todo 5位整数数加一位小数
  let isMinus = false;
  value += "";
  if (value[0] == '-') {
    isMinus = true;
    len = len - 1;
  }
  value = value.replace(/[^\d.]/g, '');
  let index = value.lastIndexOf(".");

  if (index != -1) {
    let [int, dec] = value.split(".");
    if (dec.length > decimals) {
      dec = dec.slice(0, dec.length - 1);
    }

    if (int.length > len) {
      int = int.slice(0, int.length - 1);
    }
    if (int.length == 0) {
      int = 0;
    }
    value = int + "." + dec;
  } else {
    if (value.length > len) {
      value = value.slice(0, value.length - 1);
    }
  }
  let res = value
  if (isMinus) { res = '-' + res };
  if (parseFloat(res) == 'NaN') res = 0;
  return res;
}